# Use Auto DevOps pipeline
# https://gitlab.com/gitlab-org/gitlab/blob/master/lib/gitlab/ci/templates/Auto-DevOps.gitlab-ci.yml
include:
  - template: Auto-DevOps.gitlab-ci.yml

variables:
  # disable some auto devops tests
  BROWSER_PERFORMANCE_DISABLED: 1
  CODE_QUALITY_DISABLED: 1
  DAST_DISABLED: 1
  PERFORMANCE_DISABLED: 1
  LOAD_PERFORMANCE_DISABLED: 1
  TEST_DISABLED: 1
  CI_KUBERNETES_ACTIVE: "true"

  # configure auto devops components
  STAGING_ENABLED: 1
  POSTGRES_ENABLED: "false"

  # Agent
  KUBE_INGRESS_BASE_DOMAIN: dev.lincsproject.ca
  KUBE_CONTEXT: "calincs/gitlab-agents:dev-agent"
  KUBE_NAMESPACE: $CI_PROJECT_NAME-$CI_ENVIRONMENT_SLUG

  # Authority service specific
  K8S_SECRET_LINCS_S3_ACCESS: $LINCS_S3_ACCESS
  K8S_SECRET_LINCS_S3_SECRET: $LINCS_S3_SECRET
  K8S_SECRET_TESTING: $TESTING
  K8S_SECRET_QUERY_LIMIT_BOOL: $QUERY_LIMIT_BOOL
  K8S_SECRET_QUERY_LIMIT: $QUERY_LIMIT
  K8S_SECRET_DEPLOY_TARGET: $CI_ENVIRONMENT_NAME

  # VIAF source file location
  # Can use a file from Drive or Dropbox during testing
  # like "https://www.dropbox.com/scl/fi/6sl64bf2lvwg00kk5b7w5/viaf-20230904-clusters.xml.gz?rlkey=feex1mf31oy1gdbeyrtn25gex&dl=1"
  # If not testing, use "https://viaf.org/viaf/data/viaf-{latest_filename}-clusters.xml.gz"
  K8S_SECRET_VIAF_SOURCE: $VIAF_SOURCE

# override some deployment parameters
staging:
  environment:
    name: staging
    url: https://recon_authority_files.$KUBE_INGRESS_BASE_DOMAIN
  variables:
    KUBE_INGRESS_BASE_DOMAIN: stage.lincsproject.ca
    KUBE_CONTEXT: "calincs/gitlab-agents:stage-agent"
    KUBE_NAMESPACE: $CI_PROJECT_NAME-$CI_PROJECT_ID-staging

production_manual:
  environment:
    name: production
    url: https://recon_authority_files.$KUBE_INGRESS_BASE_DOMAIN
  variables:
    KUBE_INGRESS_BASE_DOMAIN: lincsproject.ca
    KUBE_CONTEXT: "calincs/gitlab-agents:prod-agent"
    KUBE_NAMESPACE: $CI_PROJECT_NAME-$CI_PROJECT_ID-production
